Code::Blocks

User forums => Help => Topic started by: Crazy K on September 28, 2005, 10:05:47 pm

Title: cannot find -lwxmsw242 - whats wrong
Post by: Crazy K on September 28, 2005, 10:05:47 pm
Hi..

I triy to start devolping in c++ by using code::blocks and wxwidgets. (I use mingw)

I installed wxwidgets 262 and codeblocks. Then I added the include-libaries as told in the installation-instruction. When I try to compile my first project (without changing some code) I get the error:

ld.exe         cannot find -lwxmsw242

I hope someone can help me to solve this problem

Thank you
Title: Re: cannot find -lwxmsw242 - whats wrong
Post by: Urxae on September 28, 2005, 10:58:20 pm
Looks like you're using CodeBlocks.cbp. If you're using wx262, you might want to use the CodeBlocks-wx2.6.0.cbp project file instead of the normal one (which is for wx242) ;).
Title: Re: cannot find -lwxmsw242 - whats wrong
Post by: Crazy K on September 29, 2005, 05:39:46 pm
Thank you for you help.

I don't know which project file I use. I only went to new project -> wxwidgets application. Then I get the message. But where do I find the CodeBlocks-wx2.6.0.cbp.  I cannot find it - even on the download page (sourceforge)

Thank you
Title: Re: cannot find -lwxmsw242 - whats wrong
Post by: Serge2005 on September 29, 2005, 06:04:15 pm
Hello, I had this problem, mandrav and rickg22 helped me to fix it.... look at this link http://forums.codeblocks.org/index.php/topic,270.30.html   and   
http://forums.codeblocks.org/index.php/topic,270.45.html
Title: Re: cannot find -lwxmsw242 - whats wrong
Post by: Crazy K on September 29, 2005, 06:14:53 pm
IT WORKS

THANKS A LOT

PS: maybe you can add this information at: http://forums.codeblocks.org/index.php/topic,270.msg1118.html#msg1118
because there is said: open the CodeBlocks-wx2.6.0.cbp ... but at this time I didn't know what was ment.
Title: Re: cannot find -lwxmsw242 - whats wrong
Post by: Urxae on September 29, 2005, 06:57:37 pm
Oh sorry, the CodeBlocks*.cbp files are only relevant if you're trying to compile Code::Blocks itself, which is what I thought you were trying to do. Must have misread your post :oops:.